Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236346 - lvcreate man page minor issue
Summary: lvcreate man page minor issue
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2
Version: 5.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Milan Broz
QA Contact: Corey Marthaler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-13 11:48 UTC by masanari iida
Modified: 2013-03-01 04:05 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-19 12:26:30 UTC


Attachments (Terms of Use)

Description masanari iida 2007-04-13 11:48:25 UTC
Description of problem:
lvcreate (8) create mirror set of an lvol with -m1 option.
In order to create mirror succesfully, we need to populate
3 PVs within its VG. Following requirement is only written 
"Example" section of the lvcreate man page.

> This  operation  would require  3  devices  -  two for the 
> mirror devices and one for the disk log.

This requirement should be noted in -m section of the 
lvcreate's online man page, as well.

Version-Release number of selected component (if applicable):
lvm2-2.02.16-3

How reproducible:
Always

Steps to Reproduce:
1. man lvcreate
  
Additional info:

Comment 1 Milan Broz 2008-12-19 12:26:30 UTC
In version 2.02.28 is in added to lvcreate man page this formulation to the -m option description:

The optional argument --mirrorlog specifies the type of log to be used.  The default is disk, which is persistent and  requires a  small  amount  of  storage  space, usually on a separate device from the data being mirrored. Using core means the mirror is regenerated by copying the data from the first device again each time the device is activated, for example, after every reboot.

RHEL 5.2 include lvm2 2.02.32, so it should be fixed already.


Note You need to log in before you can comment on or make changes to this bug.